/*
   time.c -- PIKT common time routines

   $Header: /var/cvs/PIKT/pikt/src/lib/time.c,v 1.4 2005/01/04 13:49:31 berto Exp $

   This file is part of PIKT ("Problem Informant/Killer Tool").
   Copyright (C) 1998,1999,2000,2001,2002,2003,2004,2005 by Robert Osterlund.

   PIKT is a trademark of the University of Chicago.  All Rights Reserved.

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   PIKT is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
   USA.

   Send problem reports, bouquets and brickbats to:  pikt-bugs@pikt.org
 */

#include "common.h"

/* return the current time in string form suitable for logging purposes
 */
char *
get_timenow (void)
{
	struct tm *tm;
	time_t tnow;
	static char buf[64];	/* should be plenty big */

	tnow = time((time_t*)0);
	tm = localtime(&tnow);
	sprintf(buf, "%s", asctime(tm));
	buf[19] = '\0';
	return buf;
}
